<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [SuccessResult](./bitburner.successresult.md)

## SuccessResult type


**Signature:**

```typescript
type SuccessResult<T extends object> = { success: true; message?: string } & T;
```
